Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Payment Service

Reply
Contributor
Posts: 10
Registered: ‎03-21-2013
My Device: Blackberry z10
My Carrier: N/A

Need to know how to import an application loader file to z10

Hi, I'm in the process of develop a new project on our payment terminal, which need to use blackberry z10 for testing. We got an blackberry application which contain a .alx application loader file, the instruction said can be imported through blackberry desktop software, but z10 is using blackberry link, which I can not find anywhere can do import. Please let me know how to load an application to a z10, but not using blackberry world. Thanks! Christine
Developer
Posts: 1,168
Registered: ‎03-20-2013
My Device: Red LE Developer Z10
My Carrier: Fido

Re: Need to know how to import an application loader file to z10

ALX files are java packages for the old BBOS for earlier Blackberry devices. For the Z10 your old java apps will not work. The BB10 app package format is the BAR file, but as I said, BB10 apps are not written in Java like the older devices, and must be completely rewritten for BB10.



Developer of Built for BlackBerry certified multiFEED RSS/Atom feed reader and aggregator.  multiFEED Icon

Play nice: Clicking Like Button on posts that helped you not only encourages others to continue sharing their experience, but also improves your own rating on this board. Also, don't forget to accept a post if it solves your problem or answers your question.
Contributor
Posts: 10
Registered: ‎03-21-2013
My Device: Blackberry z10
My Carrier: N/A

Re: Need to know how to import an application loader file to z10

Thanks for the reply.
Developer
Posts: 1,168
Registered: ‎03-20-2013
My Device: Red LE Developer Z10
My Carrier: Fido

Re: Need to know how to import an application loader file to z10

No problem. One dead giveaway is that your original instructions were to use BB Desktop software. As you found out, BBDS is for older BBOS devices only. All BB10 hardware requires Link, and Link is not backward compatible with older devices at all.



Developer of Built for BlackBerry certified multiFEED RSS/Atom feed reader and aggregator.  multiFEED Icon

Play nice: Clicking Like Button on posts that helped you not only encourages others to continue sharing their experience, but also improves your own rating on this board. Also, don't forget to accept a post if it solves your problem or answers your question.